#!/bin/sh

# futebus example: 'U' channel master (service)
#
# License: CC0 - no rights reserved 
#
# How to use:
# 1. create the bus: futebus bus
# 2. run the master: ./Umaster.sh
# 3. run a process to monitor the bus: cat bus/U1
# 4. run another process to send data to the bus: echo hello >>bus/U1


# main loop: read messages, print them on stderr and broadcast them back;
# newline is automatically appended by awk (that's how print works)
awk '
{
	print "Read:", $0 > "/dev/stderr"
	print "Relaying message as received:", $0
	fflush("/dev/stdout");
}
' 0<>bus/.U1 1>&0

